# $Revision: 1.13 $, $Date: 2008-01-21 12:00:09 $
Summary:	lkmonitor - Linux kernel monitor
Summary(pl.UTF-8):	lkmonitor - monitor jądra Linuksa
Name:		lkmonitor
Version:	0.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/lkmonitor/%{name}-%{version}.tar.gz
# Source0-md5:	1c017263dcd38c65453f2cbee3d36832
URL:		http://lkmonitor.sourceforge.net/
Patch0:		%{name}-pixmapsdir.patch
Patch1:		%{name}-locale.patch
Patch2:		%{name}-pixmaps.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lkmonitor is a tool for monitoring and managing Linux kernel. It has
been developed for GNOME, using Glib and GTK+ libraries in C Language.
lkmonitor tries to offer detailed information about the
characteristics of the system, such as types of CPU, state of the
memory and/or the file system registered in kernel.

%description -l pl.UTF-8
lkmonitor to narzędzie do monitorowania i zarządzania jądrem Linuksa.
Zostało stworzone dla GNOME, przy użyciu bibliotek Glib i GTK+, w
języku C. lkmonitor próbuje dostarczyć szczegółowe informacje o
charakterystyce systemu, takie jak rodzaj procesora, stan pamięci czy
systemy plików zarejestrowane w jądrze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
for i in po/es_ES.*; do mv "$i" `echo "$i" | sed 's/es_ES\./es\./'`; done
for i in po/zh.*; do mv "$i" `echo "$i" | sed 's/zh\./zh_CN\./'`; done
mv pixmaps/gnome-computer.png pixmaps/gnome-workstation.png

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}/* $RPM_BUILD_ROOT%{_pixmapsdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/System/* $RPM_BUILD_ROOT%{_desktopdir}
rm -rf $RPM_BUILD_ROOT/usr/doc/lkmonitor
rmdir $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/lkmonitor
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lkmonitor.spec,v $
Revision 1.13  2008-01-21 12:00:09  wolvverine
- add patch, conflict with gnome-desktop

Revision 1.12  2008-01-21 11:29:55  wolvverine
- correct locales patch

Revision 1.11  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.9  2007/01/21 02:25:52  darekr
- updated to 0.2
- added -pixmapsdir patch to avoid gtk warning about .png files
- removed needless _pixmapsdir/lkmonitor directory

Revision 1.8  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.7  2006/05/10 08:47:11  darekr
- rel. 1

Revision 1.6  2006/05/10 08:24:43  darekr
- to avoid warning about unpackaged files

Revision 1.5  2006/05/09 18:38:22  qboosh
- BR: pkgconfig

Revision 1.4  2006/04/01 20:36:42  darekr
- typo

Revision 1.3  2006/04/01 20:02:27  ankry
- typo

Revision 1.2  2006/04/01 19:59:11  qboosh
- pl

Revision 1.1  2006/03/31 15:14:39  darekr
- new
